
Infrastructure - Task #1454

Story # 1378 (Closed): Adding new object formats shouldn't require buildout 

Replicate state changes in the object format list across CNs

2011-03-29 14:19 - Chris Jones

Status: Closed Start date: 2011-03-29

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: 2011-Block-2 Story Points:  

Product Version: *   

Description

The state of the object format list needs to be communicated across CNs as an event when the list changes, since all CNs need to

have the authoritative list synchronized. Notes on replication strategies are documented in the D1 architecture docs (

http://mule1.dataone.org/ArchitectureDocs-current/notes/Replication.html).

Test Zookeeper as an event handling mechanism to propagate object format list changes across CNs.

History

#1 - 2011-03-29 14:19 - Chris Jones

- Parent task set to #1378

#2 - 2011-06-03 14:49 - Chris Jones

- Status changed from New to Closed

CN synchronization through the metacat replication facility will be used for now.
